#ifndef BUSCOST_H_
#define BUSCOST_H_

#include "networks/wiredbas/WiredBasPlatformInstance.h"
#include "float.h"

namespace cosi
{

namespace models
{

namespace wiredbas
{


class BusCost
{

public:

	BusCost();

	virtual ~BusCost();

	//Give a communication structure and return the cost

	virtual double GetValue( cosi::commstruct::wiredbas::PlatformInstance pC ) = 0;

	virtual double GetValue( cosi::commstruct::wiredbas::PlatformInstance* pC ) = 0;

};

}

}

}

#endif /*BUSCOST_H_*/
